-- create line bot table
CREATE TABLE public.line_bot (
	id uuid NOT NULL DEFAULT uuid_generate_v4(),
	"name" varchar(32) NOT NULL,
	access_token varchar(256) NOT NULL,
	secret varchar(256) NOT NULL,
	ctime timestamptz NOT NULL DEFAULT current_timestamp,
	mtime timestamptz NOT NULL DEFAULT current_timestamp,
	CONSTRAINT line_bot_pk PRIMARY KEY (id)
);

-- add bot fk to line_group table
ALTER TABLE public.line_group ADD bot_id uuid NULL;
-- add fk
ALTER TABLE public.line_group ADD CONSTRAINT line_group_fk FOREIGN KEY (bot_id) REFERENCES public.line_bot(id) ON DELETE SET NULL;
